# SPDX-License-Identifier: MIT
%global source_version 20200215
%global source_release 8
%global source_url     https://fonts.google.com/specimen/Patrick+Hand

%global default_fonts_foundry  Wagesreiter
%global default_fonts_license  OFL
%global default_fonts_licenses OFL.txt
%global default_fonts_docs     *.pb *.html

%global fonts_family             Patrick Hand
%global fonts_summary            Patrick Hand, an handwriting font family
%global fonts_fonts              *ttf
%global fonts_experimental_confs 60-%{fonts_name}.xml
%global fonts_description        %{expand:
Patrick Hand is a font family based on the designer’s own handwriting. It is
developed to bring an impressive and useful handwriting effect to your
texts.

It has all the basic Latin characters as well as most of the Latin extended
ones. It also includes some fancy glyphs like heavy quotation marks and the
floral heart! Ligatures, small caps and old style numbers are available as
OpenType features.}

%auto_init
%auto_pkg

%sourcelist
%{source_name}-%{version}.tar.xz
# Not available outside the huge Google fonts repository
getfiles.sh
60-%{fonts_name}.xml

%prep
%auto_prep
%setup -q
install -m 644 %{_sourcedir}/*xml .

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
* Sat May 30 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20200215-8
🚒 Rebuild with fonts-rpm-macros 4.0.2, fixing rpm 4.15 regressions

* Wed Apr 29 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20200215-7
🆕 Update to use fonts-rpm-macros 4.x

* Mon Apr 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20200215-6
🐞 Workaround Fedora problems created by rpm forge_commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20200215-5
💥 Actually rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are
  valid

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20200215-4
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20200215-3
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20191208-1
✅ Initial packaging
